# UniTAP.dev.ports.modules.capturer.audio.result_audio

class ResultAudioObject(UniTAP.dev.modules.capturer.result_object.ResultObject):

Class `ResultAudioObject` inherited from class `ResultObject`. Class `ResultAudioObject` allows saving captured frames to image `save_image_to_file`. Also has all the `ResultObject` functionality.

audio_mode: UniTAP.common.audio_mode.AudioMode

Returns current audio mode for captured audio frames.

###### Returns:

> object of `AudioMode` type

def save_to_file( self, file_format: UniTAP.common.audio_mode.AudioFileFormat, path: str):

Saving audio frames to file. Supported file formats describe in `AudioFileFormat`.

###### Arguments:

- file_format (`AudioFileFormat`) - file format
- path (str) - path to save

##### Inherited Members

UniTAP.dev.modules.capturer.result_object.ResultObject
  start_capture_time
  end_capture_time
  timestamp
  buffer
  clear